Bug 166807 - redhat-config-xfree86 ---noui prompts for root password in a GUI popup box
redhat-config-xfree86 ---noui prompts for root password in a GUI popup box
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-xfree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-25 18:24 EDT by David Meleedy
Modified: 2014-06-18 05:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 16:32:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Meleedy 2005-08-25 18:24:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.7.8) Gecko/20050512 Firefox/1.0.4

Description of problem:
redhat-config-xfree86 --noui
run as a non-root user, pops up a GUI box 

Query
"You are attempting to run "redhat-config-xfree86" which requires administrative privileges, but more information is needed in order to do so."



Version-Release number of selected component (if applicable):
redhat-config-xfree86-0.7.7-1

How reproducible:
Always

Steps to Reproduce:
1. run redhat-config-xfree86 --noui as a non-root user


Actual Results:  Pops up a GUI asking for a root password.

Expected Results:  A tty query for the a root password would have been appropriate.

Additional info:
Comment 1 David Meleedy 2005-10-06 16:32:35 EDT
setting the DISPLAY variable to a blank string seems to fix this problem.

export DISPLAY=
redhat-config-xfree86 --noui

Note You need to log in before you can comment on or make changes to this bug.